<template>

  <v-app-bar color="green" app>
    <v-col class="font-weight-bold white--text d-flex">

      <v-app-bar-title class="d-flex align-center">

        <v-app-bar-nav-icon @click.stop="drawer = !drawer"></v-app-bar-nav-icon>

        <router-link class="text-white text-decoration-none" to="/">
          Биглион
        </router-link>

        <v-spacer>

        </v-spacer>

      </v-app-bar-title>

      <LoginModal />

      <v-btn v-if="currentUser.isAuthUser" class="mt-3" variant="flat" color="error" @click="logout">
        Выйти {{ currentUser.name }}
        <v-icon icon="mdi-logout" class="ml-3"></v-icon>
      </v-btn>

    </v-col>
  </v-app-bar>

  <v-navigation-drawer v-model="drawer" absolute left temporary>
    <v-list nav dense>
      <v-list-item-group v-model="group" active-class="deep-purple--text text--accent-4">
        <v-list-item>
          <v-list-item-title>
            <router-link class="text-subtitle-1 text-decoration-none header__link" to="/">Домашняя</router-link>
          </v-list-item-title>
        </v-list-item>

        <v-list-item>
          <v-list-item-title>
            <router-link class="text-subtitle-1 text-decoration-none header__link" to="/make-order">Оформить заявку</router-link>
          </v-list-item-title>
        </v-list-item>

        <v-list-item>
          <v-list-item-title>
            <router-link class="text-subtitle-1 text-decoration-none header__link" to="/orders">Заявки</router-link>
          </v-list-item-title>
        </v-list-item>

      </v-list-item-group>
    </v-list>
  </v-navigation-drawer>
</template>

<script>
import LoginModal from '@/components/LoginModal.vue';

export default {
  components: {
    LoginModal,
  },
  data() {
    return {
      drawer: false,
      group: null,
    }
  },
  methods: {
    logout() {
      this.$store.commit('toggleAuthUser');
    },
  },
  computed: {
    currentUser: {
      get() {
        return this.$store.getters.currentUser;
      }
    },
  },
}
</script>

<style>
.header__link:active,
.header__link:hover,
.header__link:visited,
.header__link {
  text-decoration: none;
  color: #666;
}
.header__link:hover {
  color: blue;
}
</style>

